#!/bin/bash

OUTPUT_CONFIG_FILE=/etc/init.d/firewall.sh

### Config Firewall File ###
echo "#!/bin/bash" > $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "# This file is auto generate by xxxkung script" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "iptables -F" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### Make Firewall" >> $OUTPUT_CONFIG_FILE
echo "iptables -A INPUT -m state --state INVALID -j DROP" >> $OUTPUT_CONFIG_FILE
echo "iptables -A INPUT -p tcp --tcp-flags SYN,ACK SYN,ACK -m state --state NEW -j REJECT --reject-with tcp-reset" >> $OUTPUT_CONFIG_FILE
echo "iptables -A INPUT -p tcp --tcp-flags ! FIN,SYN,RST,ACK SYN -m state --state NEW -j DROP" >> $OUTPUT_CONFIG_FILE
echo "iptables -A INPUT -i lo -j ACCEPT" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### Respond ping" >> $OUTPUT_CONFIG_FILE
echo "iptables -A INPUT -i ppp+ -p icmp -j ACCEPT" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### SSH PORT" >> $OUTPUT_CONFIG_FILE
echo "iptables -A INPUT -i ppp+ -p tcp --dport 22 -j ACCEPT" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### WEB SERVER" >> $OUTPUT_CONFIG_FILE
echo "iptables -A INPUT -i ppp+ -p tcp --dport 80 -j ACCEPT" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### WEBMIN PORT" >> $OUTPUT_CONFIG_FILE
echo "iptables -A INPUT -i ppp+ -p tcp --dport 10000 -j ACCEPT" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### Block Brute Force Attack Port 22" >> $OUTPUT_CONFIG_FILE
echo "iptables -I INPUT -p tcp --dport 22 -i ppp+ -m state --state NEW -m recent --set --name SSH" >> $OUTPUT_CONFIG_FILE
echo "iptables -I INPUT -p tcp --dport 22 -i ppp+ -m state --state NEW -m recent --update --name SSH --seconds 60 --hitcount 4 -j DROP" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### DROP ALL" >> $OUTPUT_CONFIG_FILE
echo "iptables -A INPUT -i ppp+ -j DROP" >> $OUTPUT_CONFIG_FILE
echo "iptables -P INPUT DROP" >> $OUTPUT_CONFIG_FILE
echo "iptables -P INPUT ACCEPT" >> $OUTPUT_CONFIG_FILE
echo "iptables -F" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "#Blockbit" >> $OUTPUT_CONFIG_FILE
echo "#iptables -A FORWARD -m ipp2p --ipp2p -j DROP" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "iptables -A FORWARD -p tcp -m state --state NEW -j LOG  --log-prefix "ipt_fwd: " --log-level info" >> $OUTPUT_CONFIG_FILE
echo "iptables -A FORWARD -p udp -m state --state NEW -j LOG  --log-prefix "ipt_fwd: " --log-level info" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "echo \"   ...done.\"" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE

chmod +x $OUTPUT_CONFIG_FILE

echo "Make /etc/init.d/firewall.sh     ..done."

