#!/bin/bash

OUTPUT_CONFIG_FILE=/etc/init.d/frox.sh

LAN_INTERFACE=`cat config.ini | grep -i LAN_INTERFACE | cut -d "=" -f 2 | awk {'print $1'}`

### Config FROX File ###
echo "#!/bin/bash" > $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "# This file is auto generate by xxxkung script" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -F FROX" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### Asiasoft" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A FROX -i $LAN_INTERFACE -p tcp -d 122.155.1.134 --dport 21 -j REDIRECT --to-port 2121" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A FROX -i $LAN_INTERFACE -p tcp -d 58.147.79.0/24 --dport 21 -j REDIRECT --to-port 2121" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A FROX -i $LAN_INTERFACE -p tcp -d 203.144.132.0/24 --dport 21 -j REDIRECT --to-port 2121" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A FROX -i $LAN_INTERFACE -p tcp -d 203.144.137.0/24 --dport 21 -j REDIRECT --to-port 2121" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### Luna" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A FROX -i $LAN_INTERFACE -p tcp -d 202.43.34.0/24 --dport 21 -j REDIRECT --to-port 2121" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A FROX -i $LAN_INTERFACE -p tcp -d 202.43.33.0/24 --dport 21 -j REDIRECT --to-port 2121" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### Hy Online" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A FROX -i $LAN_INTERFACE -p tcp -d 61.47.39.0/24 --dport 21 -j REDIRECT --to-port 2121" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### HipStreet" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A FROX -i $LAN_INTERFACE -p tcp -d 58.97.46.0/24 --dport 8021 -j REDIRECT --to-port 2121" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE

chmod +x $OUTPUT_CONFIG_FILE

echo "Make /etc/init.d/frox.sh         ..done."
