#!/bin/bash

OUTPUT_CONFIG_FILE=/etc/logrotate.d/squid

### Config SQUID Logrotate File ###
echo "# This file is auto generate by xxxkung script" > $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "/var/log/squid/*.log {" >> $OUTPUT_CONFIG_FILE
echo "        daily" >> $OUTPUT_CONFIG_FILE
echo "        compress" >> $OUTPUT_CONFIG_FILE
echo "        delaycompress" >> $OUTPUT_CONFIG_FILE
echo "        rotate 90" >> $OUTPUT_CONFIG_FILE
echo "        missingok" >> $OUTPUT_CONFIG_FILE
echo "        nocreate" >> $OUTPUT_CONFIG_FILE
echo "        sharedscripts" >> $OUTPUT_CONFIG_FILE
echo "        prerotate" >> $OUTPUT_CONFIG_FILE
echo "                test ! -x /usr/sbin/sarg-reports || /usr/sbin/sarg-reports" >> $OUTPUT_CONFIG_FILE
echo "        endscript" >> $OUTPUT_CONFIG_FILE
echo "        postrotate" >> $OUTPUT_CONFIG_FILE
echo "                test ! -e /var/run/squid.pid || /usr/sbin/squid -k rotate" >> $OUTPUT_CONFIG_FILE
echo "        endscript" >> $OUTPUT_CONFIG_FILE
echo "}" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE

echo "Make /etc/logrotate.d/squid      ..done."
