#!/bin/bash

WAN1_TYPE=`cat config.ini | grep -i WAN1_TYPE | cut -d "=" -f 2 | awk {'print $1'}`

if [ "$WAN1_TYPE" == "pppoe" ]; then

OUTPUT_CONFIG_FILE=/etc/ppp/peers/dsl-link1

WAN1_INTERFACE=`cat config.ini | grep -i WAN1_INTERFACE | cut -d "=" -f 2 | awk {'print $1'}`
WAN1_PPPOE_USERNAME=`cat config.ini | grep -i WAN1_PPPOE_USERNAME | cut -d "=" -f 2 | awk {'print $1'}`
WAN1_PPPOE_MTU=`cat config.ini | grep -i WAN1_PPPOE_MTU | cut -d "=" -f 2 | awk {'print $1'}`

### Config DSL-Link1 File ###
echo "# This file is auto generate by xxxkung script" > $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "noipdefault" >> $OUTPUT_CONFIG_FILE
echo "hide-password" >> $OUTPUT_CONFIG_FILE
echo "noauth" >> $OUTPUT_CONFIG_FILE
echo "persist" >> $OUTPUT_CONFIG_FILE
echo "mtu $WAN1_PPPOE_MTU" >> $OUTPUT_CONFIG_FILE
echo "maxfail 0" >> $OUTPUT_CONFIG_FILE
echo "plugin rp-pppoe.so $WAN1_INTERFACE" >> $OUTPUT_CONFIG_FILE
echo "user \"$WAN1_PPPOE_USERNAME\"" >> $OUTPUT_CONFIG_FILE
echo "unit 101" >> $OUTPUT_CONFIG_FILE

echo "Make /etc/ppp/peers/dsl-link1    ..done."

fi
