#!/bin/bash

OUTPUT_CONFIG_FILE=/etc/resolv.conf

LAN_DNS1=`cat config.ini | grep -i LAN_DNS1 | cut -d "=" -f 2 | awk {'print $1'}`
LAN_DNS2=`cat config.ini | grep -i LAN_DNS2 | cut -d "=" -f 2 | awk {'print $1'}` 
LAN_DNS3=`cat config.ini | grep -i LAN_DNS3 | cut -d "=" -f 2 | awk {'print $1'}` 
LAN_DNS4=`cat config.ini | grep -i LAN_DNS4 | cut -d "=" -f 2 | awk {'print $1'}` 
LAN_DNS5=`cat config.ini | grep -i LAN_DNS5 | cut -d "=" -f 2 | awk {'print $1'}` 
LAN_DNS6=`cat config.ini | grep -i LAN_DNS6 | cut -d "=" -f 2 | awk {'print $1'}` 

### Config DNS File ###
echo "# This file is auto generate by xxxkung script" > $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "nameserver 127.0.0.1" >> $OUTPUT_CONFIG_FILE
echo "nameserver 122.155.1.134" >> $OUTPUT_CONFIG_FILE

if [ "$LAN_DNS1" != "" ]; then
     echo "nameserver $LAN_DNS1" >> $OUTPUT_CONFIG_FILE
fi

if [ "$LAN_DNS2" != "" ]; then
     echo "nameserver $LAN_DNS2" >> $OUTPUT_CONFIG_FILE 
fi

if [ "$LAN_DNS3" != "" ]; then
     echo "nameserver $LAN_DNS3" >> $OUTPUT_CONFIG_FILE 
fi

if [ "$LAN_DNS4" != "" ]; then
     echo "nameserver $LAN_DNS4" >> $OUTPUT_CONFIG_FILE 
fi

if [ "$LAN_DNS5" != "" ]; then
     echo "nameserver $LAN_DNS5" >> $OUTPUT_CONFIG_FILE 
fi

if [ "$LAN_DNS6" != "" ]; then
     echo "nameserver $LAN_DNS6" >> $OUTPUT_CONFIG_FILE 
fi

echo "Make /etc/resolv.conf            ..done."

OUTPUT_CONFIG_FILE=/etc/hosts

LAN_IP_ADDRESS=`cat config.ini | grep -i LAN_IP_ADDRESS | cut -d "=" -f 2 | awk {'print $1'}`

echo "# This file is auto generate by xxxkung script" > $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "127.0.0.1       localhost" >> $OUTPUT_CONFIG_FILE
echo "$LAN_IP_ADDRESS   `hostname`.hadyaiinternet.com      `hostname`" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "122.155.1.134   auto3.asiasoft.co.th" >> $OUTPUT_CONFIG_FILE
echo "122.155.1.134   auto4.asiasoft.co.th" >> $OUTPUT_CONFIG_FILE
echo "122.155.1.134   cb-hs.asiasoft.co.th" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "# The following lines are desirable for IPv6 capable hosts" >> $OUTPUT_CONFIG_FILE
echo "::1     localhost ip6-localhost ip6-loopback" >> $OUTPUT_CONFIG_FILE
echo "fe00::0 ip6-localnet" >> $OUTPUT_CONFIG_FILE
echo "ff00::0 ip6-mcastprefix" >> $OUTPUT_CONFIG_FILE
echo "ff02::1 ip6-allnodes" >> $OUTPUT_CONFIG_FILE
echo "ff02::2 ip6-allrouters" >> $OUTPUT_CONFIG_FILE
echo "ff02::3 ip6-allhosts" >> $OUTPUT_CONFIG_FILE

