#!/bin/bash

OUTPUT_CONFIG_FILE=/etc/snmp/snmpd.conf

SERVER_NAME=`cat /etc/hostname | awk {'print $1'}`

### Config SNMP File ###
echo "# This file is auto generate by xxxkung script" > $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "com2sec readonly  default         public" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "group MyROSystem v1        paranoid" >> $OUTPUT_CONFIG_FILE
echo "group MyROSystem v2c       paranoid" >> $OUTPUT_CONFIG_FILE
echo "group MyROSystem usm       paranoid" >> $OUTPUT_CONFIG_FILE
echo "group MyROGroup v1         readonly" >> $OUTPUT_CONFIG_FILE
echo "group MyROGroup v2c        readonly" >> $OUTPUT_CONFIG_FILE
echo "group MyROGroup usm        readonly" >> $OUTPUT_CONFIG_FILE
echo "group MyRWGroup v1         readwrite" >> $OUTPUT_CONFIG_FILE
echo "group MyRWGroup v2c        readwrite" >> $OUTPUT_CONFIG_FILE
echo "group MyRWGroup usm        readwrite" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "disk / 10000" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "view all    included  .1                               80" >> $OUTPUT_CONFIG_FILE
echo "view system included  .iso.org.dod.internet.mgmt.mib-2.system" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "access MyROSystem \"\"     any       noauth    exact  system none   none" >> $OUTPUT_CONFIG_FILE
echo "access MyROGroup \"\"      any       noauth    exact  all    none   none" >> $OUTPUT_CONFIG_FILE
echo "access MyRWGroup \"\"      any       noauth    exact  all    all    none" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "syslocation $SERVER_NAME" >> $OUTPUT_CONFIG_FILE
echo "syscontact Hadyai Internet (support@hadyaiinternet.com)" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE

echo "Make /etc/snmp/snmpd.conf        ..done."
