#!/bin/bash

OUTPUT_CONFIG_FILE=/etc/init.d/tproxy.sh

LAN_INTERFACE=`cat config.ini | grep -i LAN_INTERFACE | cut -d "=" -f 2 | awk {'print $1'}`

### Config TPROXY File ###
echo "#!/bin/bash" > $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "# This file is auto generate by xxxkung script" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -F TPROXY" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### CSO Online 202.43.33.122 9898" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A TPROXY -i $LAN_INTERFACE -p tcp -d 202.43.33.0/24 --dport 9898 -j REDIRECT --to-port 8080" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -D OUTPUT -p tcp -d 202.43.33.122 --dport 80 -j DNAT --to 202.43.33.122:9898 > /dev/null" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A OUTPUT -p tcp -d 202.43.33.122 --dport 80 -j DNAT --to 202.43.33.122:9898" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### Trickster" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A TPROXY -i $LAN_INTERFACE -p tcp -d 61.90.203.0/24 --dport 5977 -j REDIRECT --to-port 8080" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "### Normal Web Port" >> $OUTPUT_CONFIG_FILE
echo "iptables -t nat -A TPROXY -i $LAN_INTERFACE -p tcp --dport 80 -j REDIRECT --to-port 8080" >> $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE

chmod +x $OUTPUT_CONFIG_FILE

echo "Make /etc/init.d/tproxy.sh       ..done."
