#!/bin/bash

WAN3_TYPE=`cat config.ini | grep -i WAN3_TYPE | cut -d "=" -f 2 | awk {'print $1'}`

if [ "$WAN3_TYPE" == "pppoe" ]; then

OUTPUT_CONFIG_FILE=/etc/ppp/peers/dsl-link3

WAN3_INTERFACE=`cat config.ini | grep -i WAN3_INTERFACE | cut -d "=" -f 2 | awk {'print $1'}`
WAN3_PPPOE_USERNAME=`cat config.ini | grep -i WAN3_PPPOE_USERNAME | cut -d "=" -f 2 | awk {'print $1'}`
WAN3_PPPOE_MTU=`cat config.ini | grep -i WAN3_PPPOE_MTU | cut -d "=" -f 2 | awk {'print $1'}`

### Config DSL-Link3 File ###
echo "# This file is auto generate by xxxkung script" > $OUTPUT_CONFIG_FILE
echo >> $OUTPUT_CONFIG_FILE
echo "noipdefault" >> $OUTPUT_CONFIG_FILE
echo "hide-password" >> $OUTPUT_CONFIG_FILE
echo "noauth" >> $OUTPUT_CONFIG_FILE
echo "persist" >> $OUTPUT_CONFIG_FILE
echo "mtu $WAN3_PPPOE_MTU" >> $OUTPUT_CONFIG_FILE
echo "maxfail 0" >> $OUTPUT_CONFIG_FILE
echo "plugin rp-pppoe.so $WAN3_INTERFACE" >> $OUTPUT_CONFIG_FILE
echo "user \"$WAN3_PPPOE_USERNAME\"" >> $OUTPUT_CONFIG_FILE
echo "unit 103" >> $OUTPUT_CONFIG_FILE

echo "Make /etc/ppp/peers/dsl-link3    ..done."

fi
